org.jboss.jca.core.spi.recovery

## Interface RecoveryPlugin

-     public interface RecoveryPlugin

  Defines the contract for an XA recovery plugin. An implementation of this SPI can provide feedback to the JCA container if the physinal connection is still valid to use for getting recovery information from. An implementation of this SPI must have a default constructor and will have its Java bean properties set after initialization.
  Author:
    Stefano Maestri, Jesper Pedersen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close(java.lang.Object c)` Perform a close operation on the passed connection object instance - like a CCI Connection instance.
    `boolean` | `isValid(java.lang.Object c)` Check if the passed connection object instance is still valid, and hence the underlying physical connection

- - ### Method Detail

    - #### isValid

          boolean isValid(java.lang.Object c)
                   throws javax.resource.ResourceException

      Check if the passed connection object instance is still valid, and hence the underlying physical connection
      Parameters:
        `c` - The connection instance
      Returns:
        `True` if the connection is still valid, otherwise `false`
      Throws:
        `javax.resource.ResourceException` - Thrown in case of an error

    - #### close

          void close(java.lang.Object c)
              throws javax.resource.ResourceException

      Perform a close operation on the passed connection object instance - like a CCI Connection instance. Any error during this operation should result in an exception, which will force a close of the physical connection to the Enterprise Information System
      Parameters:
        `c` - The connection instance
      Throws:
        `javax.resource.ResourceException` - Thrown in case of an error
      See Also:
        `javax.resource.cci.Connection`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)